<?xml version="1.0" encoding="UTF-8"?>
<!--

  product_manual.xsl
  
  XSLT stylesheet for displaying a product manual. 
  
-->
<!DOCTYPE xsl:stylesheet [
  <!ENTITY disp_templates SYSTEM "VCPManualDispTemplates.ent">
]>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:saxon="http://icl.com/saxon" extension-element-prefixes="saxon"
    xmlns:rdf="http://www.w3.org/TR/REC-rdf-syntax#"
    xmlns:dc="http://purl.org/dc/">

  <!-- include element display templates from external entity file -->
  
  <xsl:import href="product_manual-common.xsl"/>

  <xsl:template match="manual">
    <xsl:apply-templates select="." mode="TOC"/>
    <xsl:apply-templates select="//section"/>
  </xsl:template>

  <xsl:template match="manual" mode="TOC">
    <xsl:document href="index.html">
      <html>
        <head><title><xsl:value-of select="rdf:RDF/rdf:Description/dc:title"/></title></head>
        <link REL="stylesheet" HREF="VCRManual.css" TYPE="text/css"/>
        <body>
          <h1><xsl:value-of select="rdf:RDF/rdf:Description/dc:title"/></h1>
          <h2>Table of Contents</h2>
          <ul>
            <xsl:for-each select="//section">
              <li><a href="section{@id}.html"><xsl:value-of select="title"/></a></li>
            </xsl:for-each>
          </ul>
        </body>
      </html>
    </xsl:document>
  </xsl:template>

  <xsl:template match="section">
    <xsl:document href="section{@id}.html">
      <html>
        <head><title><xsl:value-of select="title"/></title></head>
        <link REL="stylesheet" HREF="VCRManual.css" TYPE="text/css"/>
        <body>
          <h1><xsl:value-of select="title"/></h1>
          <p><a href="index.html">Table Of Contents</a></p>
          <xsl:apply-templates/>
        </body>
      </html>
    </xsl:document>
  </xsl:template>
  
  <!-- include display templates from external entity file -->
  
  &disp_templates;
  
</xsl:stylesheet>
