<?xml version="1.0" encoding="UTF-8"?>
<!--

  product_manual.xsl
  
  XSLT stylesheet for displaying a product manual. 
  
-->
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:saxon="http://icl.com/saxon" extension-element-prefixes="saxon"
    xmlns:rdf="http://www.w3.org/TR/REC-rdf-syntax#"
    xmlns:dc="http://purl.org/dc/">

  
  <!-- include element display templates from external entity file -->
  
  <xsl:import href="product_manual-common.xsl"/>

  <xsl:template match="manual">
    <html>
      <head><title><xsl:value-of select="rdf:RDF/rdf:Description/dc:title"/></title></head>
      <link REL="stylesheet" HREF="VCRManual.css" TYPE="text/css"/>
      <body>
        <h1><xsl:value-of select="rdf:RDF/rdf:Description/dc:title"/></h1>
        <xsl:apply-templates select="product_info"/>
        <xsl:apply-templates select="." mode="TOC"/>
        <xsl:apply-templates select="//section"/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="manual" mode="TOC">
    <h2><a name="TOC">Table of Contents</a></h2>
    <ul>
      <xsl:for-each select="//section">
        <li><a href="#{@id}"><xsl:value-of select="title"/></a></li>
      </xsl:for-each>
    </ul>
  </xsl:template>

  <xsl:template match="section">
    <h2><a name="#{@id}"><xsl:value-of select="title"/></a></h2>
    <p><a href="#TOC">back to contents</a>
    <xsl:if test="position() > 1">
      <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
      <a href="#{preceding-sibling::*[position()=1]/@id}">previous section</a>
    </xsl:if>
    <xsl:if test="position() &lt; count(../*)">
      <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
      <a href="#{following-sibling::section/@id}">next section</a>
    </xsl:if>
    </p>
    <xsl:apply-templates/>
  </xsl:template>
</xsl:stylesheet>
