Attribute VB_Name = "Utils"
Option Explicit

Public Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
Public Declare Function GetTempFileName Lib "kernel32" Alias "GetTempFileNameA" (ByVal lpszPath As String, ByVal lpPrefixString As String, ByVal wUnique As Long, ByVal lpTempFileName As String) As Long
Public Const MAX_PATH = 260
Public Const SW_SHOWNORMAL = 1
Public Const KEY_QUERY_VALUE = &H1

Public Type SHELLEXECUTEINFO
        cbSize As Long
        fMask As Long
        hwnd As Long
        lpVerb As String
        lpFile As String
        lpParameters As String
        lpDirectory As String
        nShow As Long
        hInstApp As Long
        '  Optional fields
        lpIDList As Long
        lpClass As String
        hkeyClass As Long
        dwHotKey As Long
        hIcon As Long
        hProcess As Long
End Type
Public Const SEE_MASK_NOCLOSEPROCESS = &H40

Public Declare Function ShellExecuteEx Lib "shell32.dll" Alias "ShellExecuteExA" (info As SHELLEXECUTEINFO) As Boolean
Public Declare Function WaitForSingleObject Lib "kernel32" (ByVal hHandle As Long, ByVal dwMilliseconds As Long) As Long
Public Const INFINITE = &HFFFF      '  Infinite timeout

Function MakePath(strRoot As String, strAdd As String) As String
  Dim strSlash As String
  
  If InStr(strRoot, "\") = 0 Then
    strSlash = "/"
  Else
    strSlash = "\"
  End If
  
  If Right(strRoot, 1) = strSlash Then
    MakePath = strRoot & strAdd
  Else
    MakePath = strRoot & strSlash & strAdd
  End If
End Function

Function GetFileName(strFName As String)
  Dim i As Integer
  
  i = InStrRev(strFName, "\")
  If i = 0 Then
    i = InStrRev(strFName, "/")
  End If
  
  If i > 0 Then
    GetFileName = Right(strFName, Len(strFName) - i)
  Else
    GetFileName = strFName
  End If
End Function

Sub InvokeShell(strFName As String, hwnd As Long, strVerb As String)
    Dim lProcess As Long
    
    Dim shInfo As SHELLEXECUTEINFO
    shInfo.cbSize = Len(shInfo)
    shInfo.fMask = SEE_MASK_NOCLOSEPROCESS
    shInfo.hwnd = hwnd
    shInfo.lpFile = strFName
    shInfo.lpVerb = strVerb
    shInfo.nShow = SW_SHOWNORMAL
    
    If ShellExecuteEx(shInfo) Then
        Load frmWaitForProcess
        frmWaitForProcess.StartWait shInfo.hProcess
        frmWaitForProcess.Show vbModal
        Unload frmWaitForProcess
    End If
End Sub

Function ReadFile(strFName As String)
  Dim strFile As String
  Dim cb As Long
  
  cb = FileLen(strFName)
  strFile = Space(cb)
  
  Dim hf As Integer
  hf = FreeFile
  
  Open strFName For Binary As #hf
  Get #hf, , strFile
  Close #hf
  
  ReadFile = strFile
End Function

Function IfElse(fBool As Boolean, a, b)
  If fBool Then
    IfElse = a
  Else
    IfElse = b
  End If
End Function
