/**
 * Title:        Remote Order Client<p>
 * Description:  This is a simple Java client that illustrates how XML can be used
 * to transmit order information using email.<p>
 * Copyright:    Copyright (c) W. Scott Means<p>
 * Company:      Sams' Strategic XML<p>
 * @author W. Scott Means
 * @version 1.0
 */
package com.strategicxml.examples.OrderClient;

import javax.swing.table.*;

import org.jdom.*;
import org.jdom.input.*;

public class OrderTableModel extends AbstractTableModel {
  Document m_docOrder;

  public OrderTableModel(Document doc) {
    m_docOrder = doc;
  }

  public int getColumnCount() {
    return 2;
  }

  public Object getValueAt(int parm1, int parm2) {
    Element elItems = m_docOrder.getRootElement().getChild("items");

    Element elRow = (Element)elItems.getChildren().get(parm1);

    switch (parm2) {
    case 0: {
      return elRow.getAttributeValue("quantity");
    }

    case 1: {
      return elRow.getAttributeValue("part_num");
    }

    default: {
      return "";
    }
    }
  }

  public int getRowCount() {
    return m_docOrder.getRootElement().getChild("items").getChildren().size();
  }

  public int getColCount() {
    return 2;
  }

  public String getColumnName(int col) {
    switch (col) {
    case 0: {
      return "Quantity";
    }

    case 1: {
      return "Part Num.";
    }
    }

    return "";
  }

  public void addPartToOrder(String strPartNum, String strQuantity)
  {
    Element elItems = m_docOrder.getRootElement().getChild("items");
    Element elItem = new Element("item");

    elItem.addAttribute("part_num", strPartNum);
    elItem.addAttribute("quantity", strQuantity);

    elItems.addContent(elItem);
    int cRows = getRowCount();

    fireTableRowsInserted(cRows-2, cRows-1);
  }

}