/*
 * wsm -- I located this class on the web at the following URL:
 * http://gate.cruzio.com/~jthomas/pop/readme.html
 *
 * Rather than introducing another complicated email library, I was looking for
 * something incredibly simple to do just the bare bones operations.
 */

 package com.jthomas.pop;

/*
 * popStatus.java
 * Copyright (c) 1996 John Thomas  jthomas@cruzio.com
 *      All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for commercial or non-commercial purposes
 * is hereby granted provided that this copyright notice
 * appears in all copies.
 *
 * LIMITATION OF LIABILITY.  UNDER NO CIRCUMSTANCES AND UNDER NO
 * LEGAL THEORY, SHALL THE AUTHOR OF THIS CLASS BE LIABLE TO YOU
 * OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES OF ANY KIND.
 *
 */

/**
 * <p>Get the latest version of this and other classes on
 * <a href="http://www.geocities.com/SunsetStrip/Studio/4994/java.html">
 * Stefano Locati's Java page.</a>
 *
 * <p>Class that holds the information returned from a pop request.
 * This is required so that the POP class can be thread safe.
 *
 * @author <b>Original author:</b> John Thomas
 *     <a href="mailto:jthomas@cruzio.com">jthomas@cruzio.com</a>
 * @author <b>Current maintainer:</b> Stefano Locati
 *  <a href="mailto:slocati@geocities.com">slocati@geocities.com</a> or
 *  <a href="mailto:stefano.locati@usa.net">stefano.locati@usa.net</a>
 * @version $Revision: 1.6 $ $Date: 1998/09/02 08:04:24 $
 *
 */

public class popStatus   {


   	boolean	_OK=false;  // True if last command returned +OK

   	String  _Response;      // Set to initial response from server

	String[] _Responses= new String[0]; // Set to last multiline response.


//----------------------------------------------------------
/**
 *  Returns the multi-line output from a command.
 *  @return  a multi-line response in an array of String.
 */
public String[] Responses() {
	return _Responses;
}

//----------------------------------------------------------
/**
 *  Returns the initial status line output from a command
 *  @return  the initial status line output from a command.
 */
public String Response() {
	return _Response;
}

//----------------------------------------------------------
/**
 *  Returns the completion status (<code>+OK</code> true or
 *  <code>-ERR</code> false) from the last command issued
 *  to the server.
 *  @return true in case of success (<code>+OK</code>),
 *     false otherwise (<code>-ERR</code>).
 */
public boolean OK() {
	return _OK;
}

//-------------------------------------------------------
} // end of Class popStatus
