<?xml version="1.0" encoding="UTF-8"?>
<!--

  build_catalog.xsl
  
  XSLT stylesheet for building an accessory catalog from an XML product manual. 
  
-->
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:saxon="http://icl.com/saxon" extension-element-prefixes="saxon"
    xmlns:rdf="http://www.w3.org/TR/REC-rdf-syntax#"
    xmlns:dc="http://purl.org/dc/">

  
  <!-- include element display templates from external entity file -->
  
  <xsl:template match="/">
    <catalog>
      <xsl:apply-templates select="/manual/product_info"/>
      <order_info method="email" address="demo-orders@strategicxml.com"/>
      <items>
        <xsl:apply-templates select="//accessory"/>
      </items>
    </catalog>
  </xsl:template>
  
	<xsl:template match="product_info">
	  <xsl:copy-of select="."/>
	</xsl:template>
    
  <xsl:template match="accessory">
    <xsl:if test="type_num">
      <item part_num="{type_num}">
        <xsl:copy-of select="desc"/>
        <xsl:copy-of select="manufacturer"/>
      </item>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
