<?xml version="1.0" encoding="UTF-8"?>
<!--

  product_manual.xsl
  
  XSLT stylesheet for displaying a product manual. 
  
-->
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:saxon="http://icl.com/saxon" extension-element-prefixes="saxon"
    xmlns:rdf="http://www.w3.org/TR/REC-rdf-syntax#"
    xmlns:dc="http://purl.org/dc/">

  <xsl:template match="*">
    <SPAN STYLE="background-color:yellow">
      &lt;xsl:template match="<xsl:value-of select="name()"/>"&gt;
      &lt;/xsl:template&gt;
      <xsl:apply-templates/>
    </SPAN>
  </xsl:template>

  <xsl:template match="manual">
    <xsl:apply-templates select="." mode="TOC"/>
    <xsl:apply-templates select="//section"/>
  </xsl:template>

  <xsl:template match="manual" mode="TOC">
    <xsl:document href="index.html">
      <html>
        <head><title><xsl:value-of select="rdf:RDF/rdf:Description/dc:title"/></title></head>
        <link REL="stylesheet" HREF="VCRManual.css" TYPE="text/css"/>
        <body>
          <h1><xsl:value-of select="rdf:RDF/rdf:Description/dc:title"/></h1>
          <h2>Table of Contents</h2>
          <ul>
            <xsl:for-each select="//section">
              <li><a href="section{@id}.html"><xsl:value-of select="title"/></a></li>
            </xsl:for-each>
          </ul>
        </body>
      </html>
    </xsl:document>
  </xsl:template>

  <xsl:template match="section">
    <xsl:document href="section{@id}.html">
      <html>
        <head><title><xsl:value-of select="title"/></title></head>
        <link REL="stylesheet" HREF="VCRManual.css" TYPE="text/css"/>
        <body>
          <h1><xsl:value-of select="title"/></h1>
          <p><a href="index.html">Table Of Contents</a></p>
          <xsl:apply-templates/>
        </body>
      </html>
    </xsl:document>
  </xsl:template>
    
  <xsl:template match="p">
    <p><xsl:apply-templates/></p>
  </xsl:template>

  <xsl:template match="dl">
    <dl><xsl:value-of select="."/></dl>
  </xsl:template>

  <xsl:template match="dt">
    <dt><xsl:value-of select="."/></dt>
  </xsl:template>
  
  <xsl:template match="dd">
    <dd><xsl:value-of select="."/></dd>
  </xsl:template>

  <xsl:template match="ul">
    <ul><xsl:value-of select="."/></ul>
  </xsl:template>

  <xsl:template match="ol">
    <ol><xsl:value-of select="."/></ol>
  </xsl:template>
  
  <xsl:template match="li">
    <li><xsl:value-of select="."/></li>
  </xsl:template>

  <xsl:template match="sub_section">
    <h3><xsl:value-of select="."/></h3>
  </xsl:template>
  
  <xsl:template match="title"/>
  
  <xsl:template match="img">
    <img src="{@src}"/>
  </xsl:template>
  
  <xsl:template match="warning">
    <div class="WARNING"><div align="center" class="WARNING">*** WARNING ***</div><p><xsl:apply-templates/></p></div>
  </xsl:template>
  
  <xsl:template match="note">
    <div class="NOTE"><p><b>NOTE:</b> <xsl:apply-templates/></p></div>
  </xsl:template>
</xsl:stylesheet>
